%define pango_version 1.2.0
%define gtk2_version 2.3.0
%define desktop_file_utils_version 0.9

Name: bug-buddy
Version: 2.8.0
Release: 3
Epoch: 1
Summary: A bug reporting utility for GNOME.
License: GPL
Group: Applications/System
Source: ftp://ftp.gnome.org/pub/GNOME/sources/pre-gnome2/%{name}/%{name}-%{version}.tar.bz2
URL: http://ftp.gnome.org/pub/GNOME/sources/bug-buddy/
BuildRoot:%{_tmppath}/%{name}-%{version}-root

Requires: gdb

PreReq:        desktop-file-utils >= %{desktop_file_utils_version}
BuildRequires: desktop-file-utils >= %{desktop_file_utils_version}
BuildRequires: libxml2-devel
BuildRequires: libgnomeui-devel
BuildRequires: gnome-vfs2-devel
BuildRequires: libglade2-devel
BuildRequires: libgnomecanvas-devel
BuildRequires: pango-devel >= %{pango_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: fontconfig
BuildRequires: scrollkeeper
BuildRequires: gnome-desktop-devel
BuildRequires: gettext
# Needed by intltool
BuildRequires: perl-XML-Parser

%description
Bug-buddy is a bug reporting utility for the GNOME desktop GUI
environment. Bug-buddy can obtain a stack trace from a core file or
crashed application; it can determine the versions of packages
installed on your system; it can be started from gmc (by
double-clicking on a core file) and from the crash dialog; and it
supports the GNOME, KDE, Debian, and Ximian bug tracking systems.

%prep
%setup -q

%build

%configure
make

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

## http://bugzilla.gnome.org/show_bug.cgi?id=89356
perl -pi -e 's/Categories=Application;Development$/Categories=Application;Development;/' $RPM_BUILD_ROOT%{_datadir}/applications/* 

desktop-file-install --vendor gnome --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-category X-Red-Hat-Extra                            \
  $RPM_BUILD_ROOT%{_datadir}/applications/*

rm -r $RPM_BUILD_ROOT/var/scrollkeeper


%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

# bug buddy doesn't seem to have schemas at the moment?
%post
update-desktop-database %{_datadir}/applications
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="bug-buddy.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
done

%postun
update-desktop-database %{_datadir}/applications

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.ximian-logos ChangeLog INSTALL NEWS README TODO

%{_datadir}/pixmaps
%{_datadir}/bug-buddy
%{_datadir}/mime-info
%{_datadir}/applications
%{_datadir}/application-registry
%{_datadir}/gnome
%{_datadir}/omf
%{_bindir}/*
%{_datadir}/man/man*/*
%{_sysconfdir}/gconf/schemas/*

%changelog
* Thu Sep 30 2004 Christopher Aillon <caillon@redhat.com>
- PreReq desktop-file-utils >= 0.9

* Wed Sep 29 2004 Christopher Aillon <caillon@redhat.com> 1:2.8.0-2
- update desktop database on uninstall too.
- desktop-file-utils should be an install require, not a build require

* Mon Sep 13 2004 Christopher Aillon <caillon@redhat.com> 1:2.8.0-1
- Update to 2.8.0
- Make sure to update MIME database for core file handling

* Sun Aug 22 2004 Christopher Aillon <caillon@redhat.com> 1:2.7.91-1
- update to 2.7.91

* Tue Aug 03 2004 Christopher Aillon <caillon@redhat.com> 1:2.7.0-1
- update to 2.7.0

* Tue Jun 29 2004 Christopher Aillon <caillon@redhat.com> 1:2.6.1-1
- update to 2.6.1

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Apr 14 2004 Warren Togami <wtogami@redhat.com> 1:2.6.0-2
* #111155 BR perl-XML-Parser scrollkeeper gnome-desktop-devel gettext

* Thu Apr  1 2004 Alex Larsson <alexl@redhat.com> 1:2.6.0-1
- update to 2.6.0

* Wed Mar  3 2004 Alexander Larsson <alexl@redhat.com> 1:2.5.90-2
- add COPYING.ximian-logos to docs (#115950)

* Thu Feb 26 2004 Alexander Larsson <alexl@redhat.com> 1:2.5.90-1
- update to 2.5.90

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Jan 30 2004 Alexander Larsson <alexl@redhat.com> 1:2.5.2-1
- 2.5.2

* Wed Sep  3 2003 Alexander Larsson <alexl@redhat.com> 1:2.4.0-1
- 2.4.0

* Wed Aug 20 2003 Alexander Larsson <alexl@redhat.com> 1:2.3.4-1
- update for gnome 2.3

* Tue Jul 29 2003 Havoc Pennington <hp@redhat.com> 1:2.2.106-2
- rebuild

* Mon Jul  7 2003 Havoc Pennington <hp@redhat.com> 1:2.2.106-1
- 2.2.106

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 14 2003 Havoc Pennington <hp@redhat.com> 1:2.2.0-5
- nuke BuildRequires Xft

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Dec  6 2002 Havoc Pennington <hp@redhat.com>
- rebuild

* Fri Aug  9 2002 Havoc Pennington <hp@redhat.com>
- require gdb

* Thu Aug  8 2002 Havoc Pennington <hp@redhat.com>
- 2.2.0
- fixes to file list
- clean up unused files in install

* Mon Jul 29 2002 Havoc Pennington <hp@redhat.com>
- fix for #69408 desktop file syntax glitch

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- rebuild with new libraries
- use desktop-file-install

* Thu Jun 13 2002 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in different environment

* Thu Jun 13 2002 Nalin Dahyabhai <nalin@redhat.com>
- fix a scrollkeeper validation bug

* Fri Jun 07 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Wed Jun  5 2002 Havoc Pennington <hp@redhat.com>
- rebuild with new libs

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- 2.1.6

* Fri May 03 2002 Havoc Pennington <hp@redhat.com>
- remove gconf post for now, seems to lack a schemas file

* Fri May 03 2002 Havoc Pennington <hp@redhat.com>
- rebuild with new libs

* Thu Apr 25 2002 Havoc Pennington <hp@redhat.com>
- switch to GNOME 2 version
- clean up file list to use macros

* Mon Apr 15 2002 Havoc Pennington <hp@redhat.com>
- rebuild with translations

* Wed Feb 27 2002 Havoc Pennington <hp@redhat.com>
- backport to Hampton

* Thu Jan 24 2002 Tim Powers <timp@redhat.com>
- rebuild against new openssl

* Fri Jan 18 2002 Havoc Pennington <hp@redhat.com>
- automake14

* Mon Aug 27 2001 Havoc Pennington <hp@redhat.com>
- Add po files from sources.redhat.com

* Mon Jul 23 2001 Jonathan Blandford <jrb@redhat.com>
- Add BuildRequires

* Mon Jul  9 2001 Jonathan Blandford <jrb@redhat.com>
- New version. (2.0.6)

* Thu Mar 15 2001 Havoc Pennington <hp@redhat.com>
- translations

* Fri Feb 23 2001 Trond Eivind Glomsrd <teg@redhat.com>
- don't define %%nam and %%ver (why do people do that?)
- use %%{_tmppath}
- langify
- more cleanups

* Mon Dec 04 2000 Jonathan Blandford <jrb@redhat.com>
- Move to newer version.

* Fri Aug 18 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- delete Vendor: and Distribution: tags (#16115)
- move changelog to the end of the spec file

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sat Jul 8 2000 Havoc Pennington <hp@redhat.com>
- remove Docdir
